Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.tiny
Interface AppendableCharSequence

All Superinterfaces:
  CharSequence

All Known Implementing Classes:
  FastStringBuffer, LargeStringBuffer

    public interface AppendableCharSequence

extends CharSequence

Defines a CharSequence to which characters can be appended

Method Summary
`void` | `append(CharSequence chars)` Append characters to this CharSequence
`void` | `setLength(int length)` Set the length.

Methods inherited from interface java.lang.CharSequence
`charAt, length, subSequence, toString`

Method Detail

### append

    void append(CharSequence chars)

  Append characters to this CharSequence

  Parameters:
    `chars` - the characters to be appended

### setLength

    void setLength(int length)

  Set the length. If this exceeds the current length, this method is a no-op. If this is less than the current length, characters beyond the specified point are deleted.

  Parameters:
    `length` - the new length

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.